/* Default handlers */
use crate::service::templates::Templates;
use axum::{
    body::Body,
    extract::State,
    http::{header, StatusCode, Uri},
    response::{IntoResponse, Response},
};
use rust_embed::RustEmbed;
use std::marker::PhantomData;

// usage: .fallback(not_found_handler)
pub async fn not_found_handler(
    State(templates): State<Templates>,
) -> axum::response::Result<impl IntoResponse> {
    not_found(templates)
}

fn not_found(templates: Templates) -> axum::response::Result<impl IntoResponse> {
    let body = templates.render_html("http404.html", ());
    Ok((StatusCode::NOT_FOUND, body))
}
